=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libboost1.54-dev (>= 1.43),
  libboost-graph1.54-dev,
  libqtwebkit-dev,
