## rocs 4.14.1

=== debian/changelog ===
rocs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:03:09 +0200

rocs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:46:09 +0200

rocs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:39:40 +0200

rocs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:58:36 +0200

rocs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * update not-installed
  * add appdata file to .install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:52:10 +0200

rocs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:10:50 +0100

rocs (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 14:03:20 +0200

rocs (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:04 +0200

rocs (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:44 +0100

rocs (4:4.12.2-1) experimental; urgency=medium

  * Remove extra test file.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:40 +0100

rocs (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Build the unit tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 29 Jan 2014 16:19:43 +0100

rocs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:57 +0100

rocs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:13 +0200

rocs (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:14 +0200

rocs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  [ Pino Toscano ]
  * Remove the extra libboost-graph1.49.0 build dependency, now unused.

  [ Maximiliano Curia ]
  * Update install file.
  * Add libx11-dev build-dep.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:39 +0200

rocs (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Build against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:15:10 +0100
