=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libboost1.55-dev (>= 1.43),
               libboost-graph1.55-dev,
               libgrantlee-dev,
               libqtwebkit-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.
