=== debian/changelog ===
rocs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:35 +0200

rocs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:46 +0200

rocs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 14:06:17 +0200

rocs (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 10:55:02 +0200
